.btn{
    width: 30%;
    height: 40px;
}

.image :hover {
    opacity: 1;
    & button{
        transform: none;
        opacity: 1;
    }
}

.hover-overlay{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(255,255,255,0.5);
    opacity: 0;
    transition: all 0.5s;

    & button {
        z-index: 100;
        transition: all 0.5s;
    }

    & button:first-of-type{
        transform: translateX(-20px);
    }

    & button:last-of-type{
        transform: translateX(+20px);
    }
}